Bug 824999 - logins directory is not created or owned by package
logins directory is not created or owned by package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 15:17 EDT by Rob Crittenden
Modified: 2012-06-03 19:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 19:31:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2012-05-24 15:17:24 EDT
Description of problem:

/etc/selinux/targeted/logins should be created and own. As I understand it this is used with pam_selinux to do per-user context.

# rpm -q --whatprovides /etc/selinux/targeted/logins
file /etc/selinux/targeted/logins is not owned by any package

Version-Release number of selected component (if applicable):

selinux-policy-3.10.0-121.fc17.noarch
Comment 1 Daniel Walsh 2012-05-24 19:32:28 EDT
I will add this, but I really want to get away from writing stuff into /etc/  Really we should move things like this to /var/lib/selinux/targeted/logins
 
One of my goals for F18 is to try to get all of the Distribution files for SELinux to be shipped in /usr, and leave /etc to custom config.

Fixed in selinux-policy-3.10.0-127.fc17
Comment 2 Fedora Update System 2012-05-31 02:27:28 EDT
selinux-policy-3.10.0-128.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-128.fc17
Comment 3 Fedora Update System 2012-06-01 13:09:26 EDT
Package selinux-policy-3.10.0-128.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-128.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8720/selinux-policy-3.10.0-128.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-06-03 19:31:53 EDT
selinux-policy-3.10.0-128.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.